Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/go /usr/bin/pyinstaller java-devel-default python3-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       tipcutils
Version:    3.0.4
Release:    alt2_10
License:    BSD
URL:        http://tipc.sourceforge.net/
Summary:    TIPC utilities package for Linux
Source0:    http://downloads.sourceforge.net/project/tipc/%{name}_%{version}.tgz
Patch0:     tipcutils-3.0.4-str_warnings.patch
Patch1:     tipcutils-3.0.4-format_errors.patch


BuildRequires: gcc
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: libdaemon-devel
BuildRequires: libmnl-devel
Source44: import.info

%description
Tipcutils contains a variety of utility programs for use with Linux TIPC,
including:

1) TIPC pipe: A netcat like program for tipc.

2) tipclog: A simple userspace network event logger running as daemon that
logs link and node availability status.

3) tipc-link-watcher: A daemon keeping track of the status of TIPC nodes and
links in a cluster by using the topology service

4) net_topology_tracker: A daemon using the toplogy service to keep track of
the status of the overall cluster connectivity.  It connects to the topolgy
servers of all detected peer nodes, ans subscribes for their network view.


%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
head -n34 include/tipcc.h | tail -n25 | sed -e 's/ \* //g' -e 's/\*//g' > LICENSE

# undefined UIO_MAXIOV in iovec_client.c => skip it
sed -ie 's/ iovec / /g' test/Makefile.am

# tipc-trace needs Python2 => skip it
sed -ie 's/ tipc-trace//g' utils/Makefile.am

%build
./bootstrap
LDFLAGS="-fPIE" \
	%configure
make

%install
make install DESTDIR=%{buildroot}

%files
%{_sbindir}/tipclog
%{_sbindir}/tipc-link-watcher
%{_bindir}/tipc-pipe
%{_mandir}/man1/tipc-pipe.1*
%doc LICENSE README

%check
make check

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 3.0.4-alt2_10
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 3.0.4-alt2_9
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 3.0.4-alt2_8
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 3.0.4-alt2_7
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 3.0.4-alt2_6
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 3.0.4-alt2_5
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 3.0.4-alt2_4
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 3.0.4-alt2_3
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 3.0.4-alt1_3
- update to new release by fcimport

* Sun Mar 29 2020 Igor Vlasenko <viy@altlinux.ru> 3.0.4-alt1_2
- update to new release by fcimport

* Wed Mar 25 2020 Igor Vlasenko <viy@altlinux.ru> 3.0.4-alt1_1
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 2.2.0-alt1_5
- update to new release by fcimport

* Fri Oct 04 2019 Igor Vlasenko <viy@altlinux.ru> 2.2.0-alt1_4
- new version

